Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 191477 - avoid trying to reload the keyboard mapping as user
avoid trying to reload the keyboard mapping as user
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kbd (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks: FAST4.5APPROVED
  Show dependency treegraph
 
Reported: 2006-05-12 08:16 EDT by Aristeu Rozanski
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0672
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 02:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0672 normal SHIPPED_LIVE kbd bug fix update 2007-05-01 09:54:53 EDT

  None (edit)
Description Aristeu Rozanski 2006-05-12 08:16:34 EDT
Description of problem:
The CVE-2005-3257 warns about any user being able to change the keyboard mapping
on console. To fix this, the kernel doesn't allow anymore the user to change
the keyboard mapping, only read it. After fixing this (BZ#172357) the kbd
package breaks because /bin/unicode_start tries to reload the table everytime
the user logs in.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.apply patch https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=128857 on
latest RHEL-4 kernel
2. try to login as any user
  
Actual results:
'loadkeys' application prints errors for not being able to change the keyboard
mapping

Expected results:
no warnings being printed

Additional info:
there's already a patch on kbd Fedora package:
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=128887
Comment 1 Aristeu Rozanski 2006-07-24 11:31:09 EDT
Miloslav, any news on this one?
Comment 9 Red Hat Bugzilla 2006-09-27 02:38:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0672.html

Note You need to log in before you can comment on or make changes to this bug.